summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorJonathan Callen <abcd@gentoo.org>2011-12-16 20:02:48 +0000
committerJonathan Callen <abcd@gentoo.org>2011-12-16 20:02:48 +0000
commit0556f01fdd620a7e6667d163a28b2d2220f128e6 (patch)
tree3801eb04894263349ca968567afe1330f7f1a283 /eclass
parentStable for AMD64, wrt bug #393883 (diff)
downloadgentoo-2-0556f01fdd620a7e6667d163a28b2d2220f128e6.tar.gz
gentoo-2-0556f01fdd620a7e6667d163a28b2d2220f128e6.tar.bz2
gentoo-2-0556f01fdd620a7e6667d163a28b2d2220f128e6.zip
Set importdir to be /usr/$(get_libdir)/qt4/imports instead of the non-FHS-compliant /usr/imports
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/qt4-build.eclass10
2 files changed, 12 insertions, 4 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 1b7117d7974a..9c9f1c1c1f2d 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.45 2011/12/16 16:40:46 maksbotan Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.46 2011/12/16 20:02:48 abcd Exp $
+
+ 16 Dec 2011; Jonathan Callen <abcd@gentoo.org> qt4-build.eclass:
+ Set importdir to be /usr/$(get_libdir)/qt4/imports instead of the
+ non-FHS-compliant /usr/imports
16 Dec 2011; Maxim Koltsov <maksbotan@gentoo.org> leechcraft.eclass:
Add app-arch/xz-utils dependency to leechcraft.eclass
diff --git a/eclass/qt4-build.eclass b/eclass/qt4-build.eclass
index 3ca7d465a649..0109e21af9ed 100644
--- a/eclass/qt4-build.eclass
+++ b/eclass/qt4-build.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.103 2011/12/10 17:28:16 pesa Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.104 2011/12/16 20:02:48 abcd Exp $
# @ECLASS: qt4-build.eclass
# @MAINTAINER:
@@ -451,6 +451,7 @@ setqtenv() {
QTDOCDIR=${EPREFIX}/usr/share/doc/qt-${PV}
QTHEADERDIR=${EPREFIX}/usr/include/qt4
QTPLUGINDIR=${QTLIBDIR}/plugins
+ QTIMPORTDIR=${QTLIBDIR}/imports
QTSYSCONFDIR=${EPREFIX}/etc/qt4
QTTRANSDIR=${QTDATADIR}/translations
QTEXAMPLESDIR=${QTDATADIR}/examples
@@ -517,7 +518,7 @@ standard_configure_options() {
-datadir ${QTDATADIR} -docdir ${QTDOCDIR} -headerdir ${QTHEADERDIR}
-plugindir ${QTPLUGINDIR} -sysconfdir ${QTSYSCONFDIR}
-translationdir ${QTTRANSDIR} -examplesdir ${QTEXAMPLESDIR}
- -demosdir ${QTDEMOSDIR} -silent -fast -opensource
+ -demosdir ${QTDEMOSDIR} -importdir ${QTIMPORTDIR} -silent -fast -opensource
${exceptions}
-nomake examples -nomake demos"
@@ -536,7 +537,10 @@ prepare_directories() {
{
echo "${S}"/mkspecs/common/*.conf
find "${S}" -name '*.pr[io]'
- } | xargs sed -i -e "s:\$\$\[QT_INSTALL_LIBS\]:${EPREFIX}/usr/$(get_libdir)/qt4:g" || die
+ } | xargs sed -i \
+ -e "s:\$\$\[QT_INSTALL_LIBS\]:${QTLIBDIR}:g" \
+ -e "s:\$\$\[QT_INSTALL_PLUGINS\]:${QTPLUGINDIR}:g" \
+ || die
"${S}"/bin/qmake "LIBS+=-L${QTLIBDIR}" "CONFIG+=nostrip" || die "qmake failed"
popd >/dev/null
done